# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Cylinder
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Cylinder
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Cylinder

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

c

net.psforever.objects.geometry.d3

# Cylinder 

###
Companion object Cylinder

#### final case class Cylinder(p: Point, relativeUp: Vector3, radius: Float, height: Float) extends VolumetricGeometry with Product with Serializable

The instance of a volumetric region that encapsulates all points within a certain distance of a central point. The region is characterized by a regular circular cross-section when observed from above or below and a flat top and a flat base when viewed from the side. The "base" is where the origin point is defined (at the center of a circular cross-section) and the "top" is discovered a `height` from the base along what the cylinder considers its `relativeUp` direction.

p

  the point

relativeUp

  what the cylinder considers its "up" direction

radius

  a distance expressed in all circular cross-sections along the `relativeUp` direction

height

  the distance between the "base" and the "top"

Source
  Cylinder.scala

Linear Supertypes
Serializable, Product, Equals, VolumetricGeometry, Geometry3D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Cylinder
2. Serializable
3. Product
4. Equals
5. VolumetricGeometry
6. Geometry3D
7. PrimitiveGeometry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Cylinder(p: Point, relativeUp: Vector3, radius: Float, height: Float)

   p

     the point

   relativeUp

     what the cylinder considers its "up" direction

   radius

     a distance expressed in all circular cross-sections along the `relativeUp` direction

   height

     the distance between the "base" and the "top"

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def center: Point

   The center point of a cylinder is halfway between the "top" and the "base" along the direction of `relativeUp`.

   The center point of a cylinder is halfway between the "top" and the "base" along the direction of `relativeUp`.

   returns

     a point

   Definition Classes
     Cylinder → Geometry3D → PrimitiveGeometry
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val height: Float
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def moveCenter(point: geometry.Point): VolumetricGeometry

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Cylinder → VolumetricGeometry → Geometry3D → PrimitiveGeometry
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val p: Point
17.  def pointOnOutside(v: Vector3): Point

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid.

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid. A cylinder is composed of three clearly-defined regions on its exterior - two flat but circular surfaces that are the "top" and the "base" and a wrapped "sides" surface that defines all points connecting the "base" to the "top" along the `relativeUp` direction. The requested point may exist on any of these surfaces.

    v

      the vector in the direction of the point on the exterior

    returns

      a point

    Definition Classes
      Cylinder → VolumetricGeometry
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  val radius: Float
20.  val relativeUp: Vector3
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from VolumetricGeometry

### Inherited from Geometry3D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped